﻿Imports System.Windows.Media.Imaging
Partial Public Class Page
 Inherits UserControl

 Public Sub New()
  InitializeComponent()
 End Sub
 Private nFirst As Integer = 0
 Private tabImages() As Image

 Private Sub Page_MouseLeftButtonDown(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
  Dim img As Image = CType(sender, Image)

  Dim s As String = CStr(img.Tag)
  tb.Text = s
  s &= ".jpg"
  bigImage.Source = New BitmapImage(New Uri(s, UriKind.Relative))
  stbBig.Begin()
 End Sub

 Private Sub Page_MouseLeave(ByVal sender As Object, ByVal e As MouseEventArgs)
  stb.Resume()
 End Sub

 Private Sub Page_MouseEnter(ByVal sender As Object, ByVal e As MouseEventArgs)
  stb.Pause()
 End Sub

 Private Sub stb_Completed(ByVal sender As Object, ByVal e As EventArgs)
  tabImages(nFirst).SetValue(Canvas.LeftProperty, 770.0)
  nFirst = (nFirst + 1) Mod 8
  stb.Begin()
 End Sub

 Private Sub LayoutRoot_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
  tabImages = New Image(7) {}
  For i As Integer = 0 To 7
   tabImages(i) = CType(FindName("img" & i), Image)
   tabImages(i).Cursor = Cursors.Hand
   AddHandler tabImages(i).MouseEnter, AddressOf Page_MouseEnter
   AddHandler tabImages(i).MouseLeave, AddressOf Page_MouseLeave
   AddHandler tabImages(i).MouseLeftButtonDown, AddressOf Page_MouseLeftButtonDown
  Next i
  stb.Begin()
 End Sub
End Class